Tspi_TPM_CreateEndorsementKey(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_CreateEndorsementKey - create the endorsement key

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_CreateEndorsementKey(TSS_HTPM        hTPM, TSS_HKEY hKey,
                                         TSS_VALIDATION* pValidationData);

DESCRIPTION

Tspi_TPM_CreateEndorsementKey creates an endorsement key. This function is currently not implemented. Before this method is called, the key information for creating the key must be set in the key object by Tspi_SetAttribData. On return, the public endorsement key can be retrieved by Tspi_GetAttribData from the key object.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object.

  hKey
The hKey parameter is the handle of the key specifying the attributes of the endorsement key to create.

  pValidationData
The pValidationData parameter is a validation data structure. It provides external information required to compute the signature. Once the command is completed, the structure provides a buffer containing the validation data and a buffer containing the data the validation data was computed from.

RETURN CODES

Tspi_TPM_CreateEndorsementKey returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM or hKey is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_TPM_CreateEndorsementKey conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_GetPubEndorsementKey(3), Tspi_Key_GetPubKey(3).